%define name	php5-translit
%define version	5.0.3
%define rversion 0.5

%define modname translit
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A33_%{modname}.ini

Summary:	Transliterates non-latin character sets to latin
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 2
Group:		System/Servers
License:	PHP License
URL:		http://derickrethans.nl/translit.php
Source0:	http://pecl.php.net/get/translit-%{rversion}.tar.bz2
BuildRequires:	php5-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension allows you to transliterate text in non-latin
characters (such as Chinese, Cyrillic, Greek etc) to latin
characters. Besides the transliteration the extension also
contains filters to upper- and lowercase latin, cyrillic and
greek, and perform special forms of transliteration such as
converting ligatures such as the Norwegian "" to "ae" and
normalizing punctuation and spacing.

%prep

%setup -q -n translit-%{rversion}
[ "../package.xml" != "/" ] && mv ../package.xml .

# work around...
mkdir -p ext/iconv
echo "#" > ext/iconv/php_iconv.h
echo "#" > ext/iconv/php_have_bsd_iconv.h
echo "#" > ext/iconv/php_have_libiconv.h
echo "#define HAVE_GLIBC_ICONV 1" > ext/iconv/php_have_glibc_iconv.h
echo "#define HAVE_ICONV 1" > ext/iconv/php_have_iconv.h
echo "#define ICONV_SUPPORTS_ERRNO 1" > ext/iconv/php_iconv_supports_errno.h
echo "#define PHP_ICONV_H_PATH <%{_includedir}/iconv.h>" > ext/iconv/php_php_iconv_h_path.h
echo "#define PHP_ICONV_IMPL \"glibc\"" > ext/iconv/php_php_iconv_impl.h

%build

php5ize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.5-2mdk
- use the %%mkrel macro

* Thu Mar 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.5-1mdk
- initial Mandrakelinux package
